[**@lancedb/lancedb**](../../../README.md) • **Docs**

***

[@lancedb/lancedb](../../../globals.md) / [embedding](../README.md) / EmbeddingFunctionCreate

# Interface: EmbeddingFunctionCreate&lt;T&gt;

## Type Parameters

• **T** *extends* [`EmbeddingFunction`](../classes/EmbeddingFunction.md)

## Methods

### create()

```ts
create(options?): CreateReturnType<T>
```

#### Parameters

* **options?**: `T`\[`"TOptions"`\]

#### Returns

[`CreateReturnType`](../type-aliases/CreateReturnType.md)&lt;`T`&gt;
